// nova-werun/pages/my-circle/index.js
const Parse = getApp().Parse;
const company = getApp().globalData.company;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        //屏幕高度
        statusBarHeight: 0, // 状态栏高度
        screenHeight: 0, // 屏幕高度
        customHeight: 0, // 自定义导航栏高度（如小程序右上角胶囊按钮）
        bottomNavHeight: 0, // 底部导航栏高度
        contentHeight: 0, // 可用内容高度
        contentpadding: 0, //顶部padding高度

        //朋友圈
        cardList: [],
        loadedItems: 0, // 已加载的商品数量
        pageSize: 6, // 每次加载的商品数量
        noMoreItems: false, // 是否还有更多商品
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 计算
        const systemInfo = wx.getSystemInfoSync();
        const statusBarHeight = systemInfo.statusBarHeight || 0;
        const screenHeight = systemInfo.screenHeight || 0;
        const custom = wx.getMenuButtonBoundingClientRect();
        const customHeight = custom.height + 10 + 2 || 0;
        const bottomNavHeight = systemInfo.screenHeight - systemInfo.safeArea.bottom || 0;
        const contentHeight = (screenHeight - bottomNavHeight - statusBarHeight - customHeight) * 750 / systemInfo.windowWidth;
        this.setData({
            statusBarHeight,
            screenHeight,
            customHeight,
            bottomNavHeight,
            contentHeight
        });
        console.log('123', contentHeight);
        this.getcircle()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    //查全部朋友圈
    async getcircle() {
        const currentUser = Parse.User.current();
        let Profilequery2 = new Parse.Query('Profile');
        Profilequery2.equalTo('company', company);
        Profilequery2.equalTo('user', currentUser.id);
        Profilequery2.equalTo('isCheck', true);
        Profilequery2.notEqualTo('isDeleted', true)
        let P2 = await Profilequery2.find();
        let profile1List2 = P2.map(item => item.toJSON());

        let Profilequery = new Parse.Query('AIMoment');
        Profilequery.equalTo('company', company);
        Profilequery.equalTo('isVisible', true);
        Profilequery.notEqualTo('isDeleted', true)
        Profilequery.equalTo('profile', profile1List2[0].objectId);
        Profilequery.descending('createdAt');
        // 设置查询的限制和偏移
        Profilequery.limit(this.data.pageSize);
        Profilequery.skip(this.data.loadedItems);
        let P = await Profilequery.find();
        let profile1List = P.map(item => item.toJSON());
        // 检查是否还有更多商品
        if (profile1List.length < this.data.pageSize) {
            this.setData({
                noMoreItems: true
            });
        } else {
            this.setData({
                noMoreItems: false
            });
        }

        this.setData({
            cardList: this.data.cardList.concat(profile1List),
            loadedItems: this.data.loadedItems + profile1List.length
        })
        console.log(this.data.cardList);
    },
    loadMoreData: async function () {
        // 触底时加载更多数据
        if (!this.data.noMoreItems) {
            await this.getcircle();
        }
    },
})